diff --git a/ldap/servers/slapd/result.c b/ldap/servers/slapd/result.c
index 9a0b217..ad8983e 100644
--- a/ldap/servers/slapd/result.c
+++ b/ldap/servers/slapd/result.c
@@ -204,7 +204,7 @@ int send_ldap_intermediate( Slapi_PBlock *pb,  LDAPControl **ectrls,
 	int 		rc = 0;
 	int		logit = 0;
 			
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> send_ldap_intermediate\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> send_ldap_intermediate\n", 0, 0, 0 );
 	slapi_pblock_get (pb, SLAPI_OPERATION, &operation);
 	slapi_pblock_get (pb, SLAPI_CONNECTION, &connection);
 
@@ -213,7 +213,7 @@ int send_ldap_intermediate( Slapi_PBlock *pb,  LDAPControl **ectrls,
 	}
 	tag = LDAP_RES_INTERMEDIATE;
 	if ( (ber = der_alloc()) == NULL ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_alloc failed\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_alloc failed\n", 0, 0, 0 );
 		goto log_and_return;
 	}
 	/* add the intermediate message */
@@ -239,7 +239,7 @@ int send_ldap_intermediate( Slapi_PBlock *pb,  LDAPControl **ectrls,
 		rc = ber_put_seq( ber );
 	}
 	if ( rc == LBER_ERROR ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_printf failed 0\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_printf failed 0\n", 0, 0, 0 );
 		ber_free( ber, 1 /* freebuf */ );
 		goto log_and_return;
 	}
@@ -266,7 +266,7 @@ log_and_return:
 		log_result( pb, operation, rc, tag, 0 );
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= send_ldap_intermediate\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= send_ldap_intermediate\n", 0, 0, 0 );
 	return rc;
 }
 
@@ -385,7 +385,7 @@ send_ldap_result_ext(
 
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> send_ldap_result %d:%s:%s\n", err,
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> send_ldap_result %d:%s:%s\n", err,
 	    matched ? matched : "", text ? text : "" );
 
 	switch ( operation->o_tag ) {
@@ -444,7 +444,7 @@ send_ldap_result_ext(
         
 	if ( ber == NULL ) {
 	    if ( (ber = der_alloc()) == NULL ) {
-	        LDAPDebug( LDAP_DEBUG_ANY, "ber_alloc failed\n", 0, 0, 0 );
+	        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_alloc failed\n", 0, 0, 0 );
 			goto log_and_return;
 	    }
 	}
@@ -598,7 +598,7 @@ send_ldap_result_ext(
 	}
 
 	if ( rc == LBER_ERROR ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_printf failed 1\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_printf failed 1\n", 0, 0, 0 );
                 if (flush_ber_element == 1) {
                     /* we alloced the ber */
                     ber_free( ber, 1 /* freebuf */ );
@@ -622,7 +622,7 @@ log_and_return:
 		log_result( pb, operation, err, tag, nentries );
 	}
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= send_ldap_result\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= send_ldap_result\n", 0, 0, 0 );
 }
 
 /*
@@ -665,7 +665,7 @@ process_read_entry_controls(Slapi_PBlock *pb, char *oid)
                 slapi_pblock_get(pb, SLAPI_ENTRY_PRE_OP, &e);
             } else {
                 /* Ok, read control not used for this type of operation */
-            	LDAPDebug( LDAP_DEBUG_ANY, "process_read_entry_controls: Read Entry Controls "
+            	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "process_read_entry_controls: Read Entry Controls "
             	        "can not be used for a %s operation.\n", op_to_string(op->o_tag), 0, 0);
                 rc = -1;
                 goto done;
@@ -677,14 +677,14 @@ process_read_entry_controls(Slapi_PBlock *pb, char *oid)
                 slapi_pblock_get(pb, SLAPI_ENTRY_POST_OP, &e);
             } else {
                 /* Ok, read control not used for this type of operation */
-            	LDAPDebug( LDAP_DEBUG_ANY, "process_read_entry_controls: Read Entry Controls "
+            	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "process_read_entry_controls: Read Entry Controls "
                         "can not be used for a %s operation.\n", op_to_string(op->o_tag), 0, 0);
                 rc = -1;
                 goto done;
             }
         }
         if(e == NULL){
-            LDAPDebug( LDAP_DEBUG_ANY, "process_read_entry_controls: unable to retrieve entry\n",0,0,0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "process_read_entry_controls: unable to retrieve entry\n",0,0,0);
             rc = -1;
             goto done;
         }
@@ -694,7 +694,7 @@ process_read_entry_controls(Slapi_PBlock *pb, char *oid)
         if ( plugin_call_acl_plugin (pb, e, attrs, NULL, SLAPI_ACL_READ,
             ACLPLUGIN_ACCESS_READ_ON_ENTRY, NULL ) != LDAP_SUCCESS )
         {
-            LDAPDebug( LDAP_DEBUG_ACL, "process_read_entry_controls: access to entry not allowed (%s)\n",
+            LDAPDebug(LDAP_DEBUG_ACL, LOG_DEBUG, "process_read_entry_controls: access to entry not allowed (%s)\n",
                 slapi_entry_get_dn_const(e), 0, 0 );
             rc = -1;
             goto done;
@@ -734,7 +734,7 @@ process_read_entry_controls(Slapi_PBlock *pb, char *oid)
             }
             if(no_attrs && (all_attrs || attr_count)){
                 /* Can't have both no attrs and some attributes */
-                LDAPDebug( LDAP_DEBUG_ANY, "process_read_entry_controls: Error, both no attributes \"1.1\" and "
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "process_read_entry_controls: Error, both no attributes \"1.1\" and "
                     "specific attributes were requeseted.\n", 0, 0, 0 );
                 rc = -1;
                 goto free;
@@ -746,7 +746,7 @@ process_read_entry_controls(Slapi_PBlock *pb, char *oid)
             }
         } else {
             /* this is a problem, malformed request control value */
-            LDAPDebug( LDAP_DEBUG_ANY, "process_read_entry_controls: invalid control value.\n",0,0,0);
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "process_read_entry_controls: invalid control value.\n",0,0,0);
             rc = -1;
             goto free;
         }
@@ -765,7 +765,7 @@ process_read_entry_controls(Slapi_PBlock *pb, char *oid)
             ber_bvfree(res_value);
         } else {
             /* failed to encode the result entry */
-            LDAPDebug( LDAP_DEBUG_ANY, "Failed to process READ ENTRY Control (%s), error encoding result entry\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to process READ ENTRY Control (%s), error encoding result entry\n",
                         oid, 0, 0 );
             rc = -1;
         }
@@ -776,7 +776,7 @@ free:
         }
         if(rc != 0){
             /* log an error */
-            LDAPDebug( LDAP_DEBUG_ANY, "Failed to process READ ENTRY Control (%s) ber decoding error\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Failed to process READ ENTRY Control (%s) ber decoding error\n",
                         oid, 0, 0 );
         }
     }
@@ -818,7 +818,7 @@ send_ldapv3_referral(
 
 	slapi_pblock_get (pb, SLAPI_OPERATION, &operation);
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> send_ldapv3_referral\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> send_ldapv3_referral\n", 0, 0, 0 );
 	
 	if ( conn == NULL ) {
 		if ( operation->o_search_referral_handler != NULL ) {
@@ -835,7 +835,7 @@ send_ldapv3_referral(
 	}
 
 	if ( (ber = der_alloc()) == NULL ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_alloc failed\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_alloc failed\n", 0, 0, 0 );
 		send_ldap_result( pb, LDAP_OPERATIONS_ERROR, NULL,
 		    "ber_alloc", 0, NULL );
 		return( -1 );
@@ -860,13 +860,13 @@ send_ldapv3_referral(
 		rc = ber_printf( ber, "s", urls[i]->bv_val );
 	}
 	if ( rc == LBER_ERROR ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_printf failed 2\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_printf failed 2\n", 0, 0, 0 );
 		send_ldap_result( pb, LDAP_OPERATIONS_ERROR, NULL,
 		    "ber_printf", 0, NULL );
 		return( -1 );
 	}
 	if ( ber_printf( ber, "}}" ) == LBER_ERROR ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_printf failed 3\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_printf failed 3\n", 0, 0, 0 );
 		send_ldap_result( pb, LDAP_OPERATIONS_ERROR, NULL,
 		    "ber_printf", 0, NULL );
 		return( -1 );
@@ -983,7 +983,7 @@ encode_attr_2(
 #endif
 
 	if (ber_printf(ber, "{s[", returned_type?returned_type:attribute_type) == -1) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_printf failed 4\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_printf failed 4\n", 0, 0, 0 );
 		ber_free( ber, 1 );
 		send_ldap_result(pb, LDAP_OPERATIONS_ERROR, NULL,
 		                 "ber_printf type", 0, NULL);
@@ -996,7 +996,7 @@ encode_attr_2(
 		{
 			if ( ber_printf( ber, "o", v->bv.bv_val,v->bv.bv_len ) == -1 )
 			{
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				    "ber_printf failed 5\n", 0, 0, 0 );
 				ber_free( ber, 1 );
 				send_ldap_result( pb, LDAP_OPERATIONS_ERROR,
@@ -1008,7 +1008,7 @@ encode_attr_2(
 	}
 
 	if ( ber_printf( ber, "]}" ) == -1 ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_printf failed 6\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_printf failed 6\n", 0, 0, 0 );
 		ber_free( ber, 1 );
 		send_ldap_result( pb, LDAP_OPERATIONS_ERROR, NULL,
 		    "ber_printf type end", 0, NULL );
@@ -1491,7 +1491,7 @@ send_ldap_search_entry_ext(
 
 	slapi_pblock_get (pb, SLAPI_OPERATION, &operation);
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "=> send_ldap_search_entry (%s)\n",
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "=> send_ldap_search_entry (%s)\n",
 	    e ? slapi_entry_get_dn_const(e) : "null", 0, 0 );
 
 	/* set current entry */
@@ -1502,7 +1502,7 @@ send_ldap_search_entry_ext(
 	/* call pre entry fn */
 	rc = plugin_call_plugins(pb, SLAPI_PLUGIN_PRE_ENTRY_FN);
 	if (rc) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				   "error returned by pre entry plugins for entry %s\n",
 				   e?slapi_entry_get_dn_const(e):"null", 0, 0 );
 		goto cleanup;
@@ -1531,7 +1531,7 @@ send_ldap_search_entry_ext(
 #if !defined(DISABLE_ACL_CHECK)
 	if ( e && plugin_call_acl_plugin (pb, e, attrs, NULL, 
 				    SLAPI_ACL_READ, ACLPLUGIN_ACCESS_READ_ON_ENTRY, NULL ) != LDAP_SUCCESS ) {
-		LDAPDebug( LDAP_DEBUG_ACL, "acl: access to entry not allowed\n",
+		LDAPDebug(LDAP_DEBUG_ACL, LOG_DEBUG, "acl: access to entry not allowed\n",
 		    0, 0, 0 );
 		rc = 1;
 		goto cleanup;
@@ -1544,7 +1544,7 @@ send_ldap_search_entry_ext(
 	}
 
 	if ( (ber = der_alloc()) == NULL ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_alloc failed\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_alloc failed\n", 0, 0, 0 );
 		send_ldap_result( pb, LDAP_OPERATIONS_ERROR, NULL,
 		    "ber_alloc", 0, NULL );
 		rc = -1;
@@ -1555,7 +1555,7 @@ send_ldap_search_entry_ext(
 	    LDAP_RES_SEARCH_ENTRY, slapi_entry_get_dn_const(e) );
 
 	if ( rc == -1 ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_printf failed 7\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_printf failed 7\n", 0, 0, 0 );
 		send_ldap_result( pb, LDAP_OPERATIONS_ERROR, NULL,
 		    "ber_printf dn", 0, NULL );
 		goto cleanup;
@@ -1594,7 +1594,7 @@ send_ldap_search_entry_ext(
 			 * and some other stuff. this is not allowed, but
 			 * what should we do? we'll allow them to keep going.
 			 */
-			LDAPDebug( LDAP_DEBUG_TRACE,
+			LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 			    "Accepting illegal other attributes specified with "
 			    "special \"1.1\" attribute\n", 0, 0, 0 );
 		}
@@ -1673,7 +1673,7 @@ send_ldap_search_entry_ext(
 	}
 
 	if ( rc == -1 ) {
-		LDAPDebug( LDAP_DEBUG_ANY, "ber_printf failed 8\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ber_printf failed 8\n", 0, 0, 0 );
 		send_ldap_result( pb, LDAP_OPERATIONS_ERROR, NULL,
 		    "ber_printf entry end", 0, NULL );
 		goto cleanup;
@@ -1736,7 +1736,7 @@ cleanup:
 		ldap_controls_free(searchctrlp);
 	}
 	ber_free( ber, 1 );
-	LDAPDebug( LDAP_DEBUG_TRACE, "<= send_ldap_search_entry\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<= send_ldap_search_entry\n", 0, 0, 0 );
 
 	return( rc );
 }
@@ -1776,7 +1776,7 @@ flush_ber(
 	}
 
 	if ((conn->c_flags & CONN_FLAG_CLOSING) || slapi_op_abandoned(pb)) {
-	    LDAPDebug(LDAP_DEBUG_CONNS, "ber_flush skipped because the "
+	    LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG, "ber_flush skipped because the "
 		      "connection was marked to be closed or abandoned\n", 0, 0, 0);
 			ber_free( ber, 1 );
 			/* One of the failure can be because the client has reset the connection ( closed )
@@ -1796,7 +1796,7 @@ flush_ber(
 			 * and the status needs to be updated to reflect it */
 			op->o_status = SLAPI_OP_STATUS_ABANDONED;
 			
-			LDAPDebug( LDAP_DEBUG_CONNS,
+			LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
 				"ber_flush failed, error %d (%s)\n",
 				oserr, slapd_system_strerror( oserr ), 0 );
 			if (op->o_flags & OP_FLAG_PS) {
@@ -1811,7 +1811,7 @@ flush_ber(
 			ber_free( ber, 1 );
 		} else {
 			PRUint64 b;
-			LDAPDebug( LDAP_DEBUG_BER,
+			LDAPDebug(LDAP_DEBUG_BER, LOG_DEBUG,
 				"flush_ber() wrote %u bytes to socket %d\n",
 				bytes, conn->c_sd, 0 );
 			LL_I2L ( b, bytes ) ;
@@ -2221,7 +2221,7 @@ encode_read_entry (Slapi_PBlock *pb, Slapi_Entry *e, char **attrs, int alluserat
             real_attrs_only = SLAPI_SEND_VATTR_FLAG_VIRTUALONLY;
         } else {
             /* we cannot service a request for virtual only and real only */
-            LDAPDebug( LDAP_DEBUG_ANY,"encode_read_entry: Error, both real and virtual attributes "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"encode_read_entry: Error, both real and virtual attributes "
                                       "only controls requested.\n", 0, 0, 0 );
             rc = -1;
             goto cleanup;
diff --git a/ldap/servers/slapd/sasl_io.c b/ldap/servers/slapd/sasl_io.c
index 12fec85..0748a63 100644
--- a/ldap/servers/slapd/sasl_io.c
+++ b/ldap/servers/slapd/sasl_io.c
@@ -80,7 +80,7 @@ debug_print_layers(PRFileDesc *fd)
         LDAPDebug2Args( LDAP_DEBUG_CONNS,
                        "debug_print_layers: fd %d sasl_io_recv = %p\n",
                         PR_FileDesc2NativeHandle(fd), sasl_io_recv );
-        LDAPDebug( LDAP_DEBUG_CONNS,
+        LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                    "debug_print_layers: fd name %s type = %d recv = %p\n",
                    PR_GetNameForIdentity(fd->identity),
                    PR_GetDescType(fd),
@@ -197,7 +197,7 @@ sasl_io_start_packet(PRFileDesc *fd, PRIntn flags, PRIntervalTime timeout, PRInt
     debug_print_layers(fd);
     /* first we need the length bytes */
     ret = PR_Recv(fd->lower, buffer, amount, flags, timeout);
-    LDAPDebug( LDAP_DEBUG_CONNS,
+    LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
            "sasl_io_start_packet: read sasl packet length returned %d on connection %" NSPRIu64 "\n",
            ret, c->c_connid, 0 );
     if (ret <= 0) {
@@ -207,7 +207,7 @@ sasl_io_start_packet(PRFileDesc *fd, PRIntn flags, PRIntervalTime timeout, PRInt
                    "sasl_io_start_packet: connection closed while reading sasl packet length on connection %" NSPRIu64 "\n",
                    c->c_connid );
         } else {
-            LDAPDebug( LDAP_DEBUG_CONNS,
+            LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                    "sasl_io_start_packet: error reading sasl packet length on connection %" NSPRIu64 " %d:%s\n",
                    c->c_connid, *err, slapd_pr_strerror(*err) );
         }
@@ -303,7 +303,7 @@ sasl_io_start_packet(PRFileDesc *fd, PRIntn flags, PRIntervalTime timeout, PRInt
                 PR_SetError(PR_WOULD_BLOCK_ERROR, errno);
                 return PR_FAILURE;
             } else if (ret > 0) {
-                LDAPDebug( LDAP_DEBUG_CONNS,
+                LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                         "Continued: read sasl packet length returned %d on connection %" NSPRIu64 "\n",
                         ret, c->c_connid, 0 );
                 if((ret + sp->encrypted_buffer_offset) > sp->encrypted_buffer_size){
@@ -313,7 +313,7 @@ sasl_io_start_packet(PRFileDesc *fd, PRIntn flags, PRIntervalTime timeout, PRInt
                 sp->encrypted_buffer_offset += ret;
             } else if (ret < 0){
                 *err = PR_GetError();
-                LDAPDebug( LDAP_DEBUG_CONNS, "sasl_io_start_packet: error reading sasl packet length on connection "
+                LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG, "sasl_io_start_packet: error reading sasl packet length on connection "
                         "%" NSPRIu64 " %d:%s\n", c->c_connid, *err, slapd_pr_strerror(*err) );
                 return ret;
             }
@@ -440,7 +440,7 @@ sasl_io_read_packet(PRFileDesc *fd, PRIntn flags, PRIntervalTime timeout, PRInt3
             LDAPDebug1Arg( LDAP_DEBUG_CONNS,
                        "sasl_io_read_packet: connection closed while reading sasl packet on connection %" NSPRIu64 "\n", c->c_connid );
         } else {
-            LDAPDebug( LDAP_DEBUG_CONNS,
+            LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                        "sasl_io_read_packet: error reading sasl packet on connection %" NSPRIu64 " %d:%s\n", c->c_connid, *err, slapd_pr_strerror(*err) );
         }
         return ret;
@@ -461,9 +461,9 @@ sasl_io_recv(PRFileDesc *fd, void *buf, PRInt32 len, PRIntn flags,
 
     /* Do we have decrypted data buffered from 'before' ? */
     bytes_in_buffer = sp->decrypted_buffer_count - sp->decrypted_buffer_offset;
-    LDAPDebug( LDAP_DEBUG_CONNS,
+    LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                "sasl_io_recv for connection %" NSPRIu64 " len %d bytes_in_buffer %d\n", c->c_connid, len, bytes_in_buffer );
-    LDAPDebug( LDAP_DEBUG_CONNS,
+    LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                "sasl_io_recv for connection %" NSPRIu64 " len %d encrypted buffer count %d\n", c->c_connid, len, sp->encrypted_buffer_count );
     if (0 == bytes_in_buffer) {
         /* If there wasn't buffered decrypted data, we need to get some... */
@@ -497,7 +497,7 @@ sasl_io_recv(PRFileDesc *fd, void *buf, PRInt32 len, PRIntn flags,
          * when more data arrives
          */
         if (!sasl_io_finished_packet(sp)) {
-            LDAPDebug( LDAP_DEBUG_CONNS,
+            LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                        "sasl_io_recv for connection %" NSPRIu64 " - not finished reading packet yet\n", c->c_connid, 0, 0 );
 #if defined(EWOULDBLOCK)
             errno = EWOULDBLOCK;
@@ -551,7 +551,7 @@ sasl_io_recv(PRFileDesc *fd, void *buf, PRInt32 len, PRIntn flags,
                        "sasl_io_recv all decrypted data returned for connection %" NSPRIu64 "\n", c->c_connid );
         } else {
             sp->decrypted_buffer_offset += bytes_to_return;
-            LDAPDebug( LDAP_DEBUG_CONNS,
+            LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                        "sasl_io_recv returning %d bytes to caller %d bytes left to return for connection %" NSPRIu64 "\n",
                        bytes_to_return,
                        sp->decrypted_buffer_count - sp->decrypted_buffer_offset,
@@ -769,10 +769,10 @@ sasl_io_enable(Connection *c, void *data /* UNUSED */)
         sp->conn = c;
         rv = PR_PushIOLayer(c->c_prfd, PR_TOP_IO_LAYER, layer);
         if (rv) {
-            LDAPDebug( LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                        "sasl_io_enable: error enabling sasl io on connection %" NSPRIu64 " %d:%s\n", c->c_connid, rv, slapd_pr_strerror(rv) );
         } else {
-            LDAPDebug( LDAP_DEBUG_CONNS,
+            LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                        "sasl_io_enable: enabled sasl io on connection %" NSPRIu64 " \n", c->c_connid, 0, 0 );
             debug_print_layers(c->c_prfd);
         }
@@ -790,7 +790,7 @@ sasl_io_cleanup(Connection *c, void *data /* UNUSED */)
 {
     int ret = 0;
 
-    LDAPDebug( LDAP_DEBUG_CONNS,
+    LDAPDebug(LDAP_DEBUG_CONNS, LOG_DEBUG,
                "sasl_io_cleanup for connection %" NSPRIu64 "\n", c->c_connid, 0, 0 );
 
     ret = sasl_pop_IO_layer(c->c_prfd, 0 /* do not close */);
diff --git a/ldap/servers/slapd/sasl_map.c b/ldap/servers/slapd/sasl_map.c
index 7cc07ca..6b67e1d 100644
--- a/ldap/servers/slapd/sasl_map.c
+++ b/ldap/servers/slapd/sasl_map.c
@@ -367,10 +367,10 @@ sasl_map_config_parse_entry(Slapi_Entry *entry, sasl_map_data **new_dp)
 		desc.bv_len = strlen(desc.bv_val);
 		newval[0] = &desc;
 		if (entry_replace_values(entry, "nsSaslMapPriority", newval) != 0){
-			LDAPDebug( LDAP_DEBUG_ANY, "sasl_map_config_parse_entry: failed to reset entry "
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sasl_map_config_parse_entry: failed to reset entry "
 					"priority to (%d) - previous value (%s)\n", LOW_PRIORITY,  priority_str, 0);
 		} else {
-			LDAPDebug( LDAP_DEBUG_ANY, "sasl_map_config_parse_entry: resetting invalid nsSaslMapPriority "
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sasl_map_config_parse_entry: resetting invalid nsSaslMapPriority "
 					" value (%s) to the lowest priority (%d)\n",
 					priority_str, LOW_PRIORITY, 0);
 		}
@@ -402,34 +402,34 @@ sasl_map_read_config_startup(sasl_map_private *priv)
 	char **map_entry_list = NULL;
 	int ret = 0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "-> sasl_map_read_config_startup\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "-> sasl_map_read_config_startup\n", 0, 0, 0 );
     if((map_entry_list = getChildren(configDN))) {
 		char **map_entry = NULL;
 		Slapi_Entry *entry = NULL;
 		sasl_map_data *dp = NULL;
 
 		for (map_entry = map_entry_list; *map_entry && !ret; map_entry++) {
-			LDAPDebug( LDAP_DEBUG_CONFIG, "sasl_map_read_config_startup - proceesing [%s]\n", *map_entry, 0, 0 );
+			LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "sasl_map_read_config_startup - proceesing [%s]\n", *map_entry, 0, 0 );
  			getConfigEntry( *map_entry, &entry );
 			if ( entry == NULL ) {
 				continue;
 			}
 			ret = sasl_map_config_parse_entry(entry,&dp);
 			if (ret) {
-				    LDAPDebug( LDAP_DEBUG_ANY, "sasl_map_read_config_startup failed to parse entry\n", 0, 0, 0 );
+				    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sasl_map_read_config_startup failed to parse entry\n", 0, 0, 0 );
 			} else {
 				ret = sasl_map_insert_list_entry(priv,dp);
 				if (ret) {
-					LDAPDebug( LDAP_DEBUG_ANY, "sasl_map_read_config_startup failed to insert entry\n", 0, 0, 0 );
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "sasl_map_read_config_startup failed to insert entry\n", 0, 0, 0 );
 				} else {
-					LDAPDebug( LDAP_DEBUG_CONFIG, "sasl_map_read_config_startup - processed [%s]\n", *map_entry, 0, 0 );
+					LDAPDebug(LDAP_DEBUG_CONFIG, LOG_DEBUG, "sasl_map_read_config_startup - processed [%s]\n", *map_entry, 0, 0 );
 				}
 			}
 			freeConfigEntry( &entry );
 		}
 		freeChildren( map_entry_list );
     }
-	LDAPDebug( LDAP_DEBUG_TRACE, "<- sasl_map_read_config_startup\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<- sasl_map_read_config_startup\n", 0, 0, 0 );
 	return ret;
 }
 
@@ -439,7 +439,7 @@ sasl_map_config_add(Slapi_PBlock *pb, Slapi_Entry* entryBefore, Slapi_Entry* e,
 	int ret = 0;
 	sasl_map_data *dp = NULL;
 	sasl_map_private *priv = sasl_map_get_global_priv();
-	LDAPDebug( LDAP_DEBUG_TRACE, "-> sasl_map_config_add\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "-> sasl_map_config_add\n", 0, 0, 0 );
 	ret = sasl_map_config_parse_entry(entryBefore,&dp);
 	if (!ret && dp) {
 		ret = sasl_map_insert_list_entry(priv,dp);
@@ -451,7 +451,7 @@ sasl_map_config_add(Slapi_PBlock *pb, Slapi_Entry* entryBefore, Slapi_Entry* e,
 		*returncode = LDAP_UNWILLING_TO_PERFORM;
 		ret = SLAPI_DSE_CALLBACK_ERROR;
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<- sasl_map_config_add\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<- sasl_map_config_add\n", 0, 0, 0 );
 	return ret;
 }
 
@@ -464,7 +464,7 @@ sasl_map_config_modify(Slapi_PBlock *pb, Slapi_Entry* entryBefore, Slapi_Entry*
 	int ret = SLAPI_DSE_CALLBACK_ERROR;
 
 	if((map_name = slapi_entry_attr_get_charptr( entryBefore, "cn" )) == NULL){
-		LDAPDebug( LDAP_DEBUG_TRACE, "sasl_map_config_modify: could not find name of map\n",0,0,0);
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl_map_config_modify: could not find name of map\n",0,0,0);
 		return ret;
 	}
 	if(sasl_map_remove_list_entry(priv, map_name) == 0){
@@ -477,7 +477,7 @@ sasl_map_config_modify(Slapi_PBlock *pb, Slapi_Entry* entryBefore, Slapi_Entry*
 		}
 	}
 	if(ret == SLAPI_DSE_CALLBACK_ERROR){
-		LDAPDebug( LDAP_DEBUG_TRACE, "sasl_map_config_modify: failed to update map(%s)\n",map_name,0,0);
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl_map_config_modify: failed to update map(%s)\n",map_name,0,0);
 	}
 	slapi_ch_free_string(&map_name);
 
@@ -491,7 +491,7 @@ sasl_map_config_delete(Slapi_PBlock *pb, Slapi_Entry* entryBefore, Slapi_Entry*
 	sasl_map_private *priv = sasl_map_get_global_priv();
 	char *entry_name = NULL;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "-> sasl_map_config_delete\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "-> sasl_map_config_delete\n", 0, 0, 0 );
 	entry_name = slapi_entry_attr_get_charptr( entryBefore, "cn" );
 	if (entry_name) {
 		/* remove this entry from the list */
@@ -505,7 +505,7 @@ sasl_map_config_delete(Slapi_PBlock *pb, Slapi_Entry* entryBefore, Slapi_Entry*
 	} else {
 		ret = SLAPI_DSE_CALLBACK_OK;
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<- sasl_map_config_delete\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<- sasl_map_config_delete\n", 0, 0, 0 );
 	return ret;
 }
 
@@ -561,17 +561,17 @@ sasl_map_check(sasl_map_data *dp, char *sasl_user_and_realm, char **ldap_search_
 	int matched = 0;
 	const char *recomp_result = NULL;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "-> sasl_map_check\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "-> sasl_map_check\n", 0, 0, 0 );
 	/* Compiles the regex */
 	re = slapi_re_comp(dp->regular_expression, &recomp_result);
 	if (NULL == re) {
-		LDAPDebug( LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 			"sasl_map_check: slapi_re_comp failed for expression (%s): %s\n",
 			dp->regular_expression, recomp_result?recomp_result:"unknown", 0 );
 	} else {
 		/* Matches the compiled regex against sasl_user_and_realm */
 		matched = slapi_re_exec(re, sasl_user_and_realm, -1 /* no timelimit */);
-		LDAPDebug( LDAP_DEBUG_TRACE, "regex: %s, id: %s, %s\n",
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "regex: %s, id: %s, %s\n",
 			dp->regular_expression, sasl_user_and_realm,
 			matched ? "matched" : "didn't match" );
 	}
@@ -598,7 +598,7 @@ sasl_map_check(sasl_map_data *dp, char *sasl_user_and_realm, char **ldap_search_
 			rc = slapi_re_subs(re, sasl_user_and_realm, dp->template_base_dn,
 					ldap_search_base, ldap_search_base_len);
 			if (0 != rc) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"sasl_map_check: slapi_re_subs failed: "
 					"subject: %s, subst str: %s (%d)\n",
 					sasl_user_and_realm, dp->template_base_dn, rc);
@@ -610,7 +610,7 @@ sasl_map_check(sasl_map_data *dp, char *sasl_user_and_realm, char **ldap_search_
 					dp->template_search_filter, ldap_search_filter,
 					ldap_search_filter_len, 1);
 				if (0 != rc) {
-					LDAPDebug( LDAP_DEBUG_ANY,
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 						"sasl_map_check: slapi_re_subs failed: "
 						"subject: %s, subst str: %s (%d)\n",
 						sasl_user_and_realm, dp->template_search_filter, rc);
@@ -619,7 +619,7 @@ sasl_map_check(sasl_map_data *dp, char *sasl_user_and_realm, char **ldap_search_
 				} else {
 					/* these values are internal regex representations with
 					 * lots of unprintable control chars - escape for logging */
-					LDAPDebug( LDAP_DEBUG_TRACE,
+					LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG,
 						"mapped base dn: %s, filter: %s\n",
 						escape_string( *ldap_search_base, escape_base ),
 						escape_string( *ldap_search_filter, escape_filt ), 0 );
@@ -627,14 +627,14 @@ sasl_map_check(sasl_map_data *dp, char *sasl_user_and_realm, char **ldap_search_
 				}
 			}
 		} else {
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"sasl_map_check: slapi_re_exec failed: "
 				"regex: %s, subject: %s (%d)\n",
 				dp->regular_expression, sasl_user_and_realm, matched);
 		}
 	}
 	slapi_re_free(re);
-	LDAPDebug( LDAP_DEBUG_TRACE, "<- sasl_map_check\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<- sasl_map_check\n", 0, 0, 0 );
 	return ret;
 }
 
@@ -660,9 +660,9 @@ sasl_map_domap(sasl_map_data **map, char *sasl_user, char *sasl_realm, char **ld
 	char *sasl_user_and_realm = NULL;
 	int ret = 0;
 
-	LDAPDebug( LDAP_DEBUG_TRACE, "-> sasl_map_domap\n", 0, 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "-> sasl_map_domap\n", 0, 0, 0 );
 	if(map == NULL){
-		LDAPDebug( LDAP_DEBUG_TRACE, "<- sasl_map_domap: Internal error, mapping is NULL\n",0,0,0);
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<- sasl_map_domap: Internal error, mapping is NULL\n",0,0,0);
 		return ret;
 	}
 	*ldap_search_base = NULL;
@@ -673,7 +673,7 @@ sasl_map_domap(sasl_map_data **map, char *sasl_user, char *sasl_realm, char **ld
 		*map = priv->map_data_list;
 	while (*map) {
 		/* If one matches, then make the search params */
-		LDAPDebug( LDAP_DEBUG_TRACE, "sasl_map_domap - trying map [%s]\n", (*map)->name, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "sasl_map_domap - trying map [%s]\n", (*map)->name, 0, 0 );
 		if((ret = sasl_map_check(*map, sasl_user_and_realm, ldap_search_base, ldap_search_filter))){
 			*map = sasl_map_next(*map);
 			break;
@@ -683,7 +683,7 @@ sasl_map_domap(sasl_map_data **map, char *sasl_user, char *sasl_realm, char **ld
 	if (sasl_user_and_realm) {
 		slapi_ch_free((void**)&sasl_user_and_realm);
 	}
-	LDAPDebug( LDAP_DEBUG_TRACE, "<- sasl_map_domap (%s)\n", (1 == ret) ? "mapped" : "not mapped", 0, 0 );
+	LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "<- sasl_map_domap (%s)\n", (1 == ret) ? "mapped" : "not mapped", 0, 0 );
 	return ret;
 }
 
